### Function

# Gimp cairo_checkerboard_create

since: 2.6

#### Declaration [src]

    cairo_pattern_t*
    gimp_cairo_checkerboard_create (
      cairo_t* cr,
      gint size,
      const GeglColor* light,
      const GeglColor* dark
    )

#### Description [src]

Create a repeating checkerboard pattern.

Available since: 2.6

#### Parameters

`cr`

  Type: `cairo_t`

  Cairo context.

  The data is owned by the caller of the function.

`size`

  Type: `gint`

  Check size.

`light`

  Type: `GeglColor`

  Light check color or `NULL` to use the default light gray.

  The data is owned by the caller of the function.

`dark`

  Type: `GeglColor`

  Dark check color or `NULL` to use the default dark gray.

  The data is owned by the caller of the function.

#### Return value

Type: `cairo_pattern_t`

A new Cairo pattern that can be used as a source on `cr`.

The caller of the function takes ownership of the data, and is responsible for freeing it.